﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
using System;
using System.Windows.Forms;
using System.IO;

namespace EgSDB
{

    /// <summary>
    /// プログラムメイン
    /// </summary>
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            // 自身のプログラム名の取得
            string srMyName = Path.GetFileNameWithoutExtension(Application.ExecutablePath);

            //
            // 2022/06/07 マルチインスタンス対応で二重起動禁止処理削除
            //

            //// 二重起動禁止処理
            //if (System.Diagnostics.Process.GetProcessesByName(
            //    System.Diagnostics.Process.GetCurrentProcess().ProcessName).Length > 1)
            //{
            //    MessageBox.Show(srMyName + " is already running.", srMyName, MessageBoxButtons.OK, MessageBoxIcon.Error);
            //    Application.Exit();
            //    return;
            //}
            
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // メインフォームの生成
            frmMain frm = new frmMain(srMyName);

            // メインフォームの生成結果判定
            if (frm.fnGetLastErr() == (Int32)SDBErr.Ok)
            {
                // 成功
                Application.Run(frm);
            }
            else
            {
                // 失敗
                Application.Exit();
            }
        }
    }
}
