﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
using System;


namespace EgSDB
{
    /// <summary>
    /// エラーコード
    /// </summary>
    /// <remarks>
    /// ストリーム型DBクラスで発生したエラーコードを定義します。
    /// </remarks>
    public enum SDBErr : Int32
    {
        /// <summary>
        /// 正常終了
        /// </summary>
        Ok = 0,

        /// <summary>
        /// 応答結果成功
        /// </summary>
        ResultOk = 1,

        /// <summary>
        /// ファイルオープン失敗
        /// </summary>
        OpenFile = -1,

        /// <summary>
        /// サービスインジケータが登録されていません。
        /// </summary>
        IndicatorNotConfig = -2,

        /// <summary>
        /// サービスプロパティタグ生成に失敗しました。
        /// </summary>
        TagCreate = -3,
    }
}
